Skip to main content
GET
/
contests
/
participants
List contest participants
curl --request GET \
  --url https://www.renovationfind.com/rest-api-v1/contests/participants \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "content": [
      {
        "id": 123,
        "vendorId": 123,
        "customerName": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateModified": "2023-11-07T05:31:56Z",
        "optOutEmail": true,
        "optOutText": true,
        "ownerVendor": true,
        "convertedForVendor": true,
        "conversionDate": "2023-11-07T05:31:56Z",
        "shareOnFb": true,
        "referredViaTextOrEmailCount": 123,
        "conversionCount": 123
      }
    ],
    "page": 123,
    "size": 123,
    "totalElements": 123,
    "totalPages": 123,
    "last": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Query Parameters

page
integer
default:0
Required range: x >= 0
size
integer
default:10

Page size (max 100)

Required range: 1 <= x <= 100

Response

Paginated list of contest participants

success
boolean
Example:

true

data
object